Multivariate Pattern Analysis in Python

# mvpa2.featsel.rfe.ClassifierError

class `mvpa2.featsel.rfe.``ClassifierError`(clf, labels=None, train=True, **kwargs)

  Compute (or return) some error of a (trained) classifier on a dataset.

  Notes

  Available conditional attributes:

  - `confusion`: None
  - `training_stats`: Proxy training_stats from underlying classifier.

  (Conditional attributes enabled by default suffixed with `+`)

  Attributes

  `clf` |
  `descr` | Description of the object if any
  `labels` |

  Methods

  Initialization.

  Parameters:

  clf : Classifier

  > Either trained or untrained classifier

  labels : list

  > if provided, should be a set of labels to add on top of the ones present in testdata

  train : bool

  > unless train=False, classifier gets trained if trainingdata provided to __call__

  descr : str

  > Description of the instance

  enable_ca : None or list of str

  > Names of the conditional attributes which should be enabled in addition to the default ones

  disable_ca : None or list of str

  > Names of the conditional attributes which should be disabled

  Attributes

  `clf` |
  `descr` | Description of the object if any
  `labels` |

  Methods

  `clf`
  `confusion` = None

    TODO Think that labels might be also symbolic thus can’t directly be indicies of the array

  `labels`
  `untrain`()

    Untrain the `*Error` which relies on the classifier